# MRIqual
A Matlab toolbox for examining the quality of structural (SNR) and functional (tSNR, SFNR) MRI

[![DOI](https://zenodo.org/badge/DOI/10.5281/zenodo.3725006.svg)](https://doi.org/10.5281/zenodo.3725006)

If you find MRIqual useful and would like to support its continued development, feel free to send a cup of coffee! :) <br><br>
[![paypal](https://www.paypalobjects.com/en_US/i/btn/btn_donateCC_LG.gif)](https://paypal.me/ElliotLayden?locale.x=en_US)

View on Mathworks FileExchange:

[![View MRIqual on File Exchange](https://www.mathworks.com/matlabcentral/images/matlab-file-exchange.svg)](https://www.mathworks.com/matlabcentral/fileexchange/74807-mriqual)

## Installation / Startup
1. Clone or download the repository
2. Open Matlab and add the MRIqual directory to Matlab's path
3. Enter MRIqual in the command-line and press enter, or right-click MRIqual.m -> Run

## Usage
Github Wiki user manual coming soon!

## Enhancements and bug reports
Please create an issue and mark with the appropriate tags (e.g., labels "bug" or "enhancement").

## Functionality
### MRIqual Main Screen
<p align="middle"><img align="middle" src="https://github.com/elayden/MRIqual/blob/master/screens/0_MRIqual_main.jpg" width="300"/> </p>    

### Convert DICOMs
![Convert DICOMs](https://github.com/elayden/MRIqual/blob/master/screens/1_MRIqual_convert_dicoms.jpg)

### View/Edit 3D Images
<p align="middle"><img align="middle" src="https://github.com/elayden/MRIqual/blob/master/screens/2_MRIqual_view_edit.jpg" width="500"  />  </p>                                                                                                               

### Structural / Anatomical Image Quality
![Structural Quality](https://github.com/elayden/MRIqual/blob/master/screens/3_MRIqual_structural_quality.jpg)

#### SNR
<p align="middle"><img align="middle" src="https://github.com/elayden/MRIqual/blob/master/screens/3C_MRIqual_SNR_mosaic.png" width="900"  />  </p>       

### Functional Image Quality
![Functional Quality](https://github.com/elayden/MRIqual/blob/master/screens/4_MRIqual_functional_quality.jpg)

#### View Effect of Linear/Quadratic Detrending
![View Signals](https://github.com/elayden/MRIqual/blob/master/screens/5_MRIqual_detrending.jpg)

#### View Power Spectral Density and Effect of Bandpass Filtering 
![Power Spectral Density](https://github.com/elayden/MRIqual/blob/master/screens/6_MRIqual_power_spectral_density.jpg)
